/*
 * @(#)JPEGMetadataFormatResources.java	1.1 01/02/08
 *
 * Copyright 2000 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.imageio.plugins.jpeg;

import java.util.ListResourceBundle;

abstract class JPEGMetadataFormatResources 
        extends ListResourceBundle {

    static final Object[][] commonContents = {
        // Node name, followed by description
        { "dqt", "A Define Quantization Table(s) marker segment" },
        { "dqtable", "A single quantization table" },
        { "dht", "A Define Huffman Table(s) marker segment" },
        { "dhtable", "A single Huffman table" },
        { "dri", "A Define Restart Interval marker segment" },
        { "com", "A Comment marker segment" },
        { "unknown", "An unrecognized marker segment" },

        // Node name + "/" + AttributeName, followed by description
        { "dqtable/elementPrecision", 
          "The number of bits in each table element" },
        { "dgtable/qtableId",
          "The table id" },
        { "dhtable/class", 
          "Indicates whether this is a DC or an AC table" },
        { "dhtable/htableId",
          "The table id" },
        { "dri/interval",
          "The restart interval in MCUs" },
        { "com/comment",
          "The comment" },
        { "unknown/MarkerTag",
          "The tag identifying this marker segment" }
    };
}
