/*
 * @(#)WindowsSeparatorUI.java	1.9 00/11/08
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package com.sun.java.swing.plaf.windows;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Rectangle;

import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.*;
import javax.swing.*;


/**
 * Draws Windows toolbar separators.
 * XXX TODO: This is actually a WindowsToolBarSeparator. Should introduce that
 * class and revert this back to WindowsSeparator.
 * <p>
 *
 * @version 1.9 11/08/00
 * @author Mark Davidson
 */
public class WindowsSeparatorUI extends BasicToolBarSeparatorUI {

    public static ComponentUI createUI( JComponent c ) {
        return new WindowsSeparatorUI();
    }

    public void paint( Graphics g, JComponent c ) {
	Color temp = g.getColor();

	Color shadow = c.getForeground();
	Color highlight = c.getBackground();
	
	Dimension size = c.getSize();

	if (((JSeparator)c).getOrientation() == SwingConstants.HORIZONTAL) {
	    int x = (size.width / 2) - 1;
	    g.setColor(shadow);
	    g.drawLine(x, 2, x, size.height - 2);

	    g.setColor(highlight);
	    g.drawLine(x + 1, 2, x + 1, size.height - 2);
	} else {
	    int y = (size.height / 2) - 1;
	    g.setColor(shadow);
	    g.drawLine(2, y, size.width - 2, y);
	    g.setColor(highlight);
	    g.drawLine(2, y + 1, size.width - 2, y + 1);
	}
	g.setColor(temp);
    }
}

