/*
 * @(#)Resources_de.java	1.2 01/03/28
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits reserves.
 */

package com.sun.security.auth;
/**
 * <p> This class represents the <code>ResourceBundle</code>
 * for the following packages:
 *
 * <ol>
 * <li> javax.security.auth
 * <li> javax.security.auth.callback
 * <li> javax.security.auth.login
 * <li> javax.security.auth.spi
 * <li> com.sun.security.auth
 * <li> com.sun.security.auth.login
 * </ol>
 * 
 * @version 1.6, 01/23/01
 */
public class Resources_de extends java.util.ListResourceBundle {

    private static final Object[][] contents = {

    // NT principals
    {"invalid null input: value", "Ung\u00FCltige Nulleingabe: {0}"},
    {"NTDomainPrincipal: name", "NT-Dom\u00E4nen-Principal: {0}"},
    {"NTNumericCredential: name", "NT numerische Authentisierung: {0}"},
    {"Invalid NTSid value", "Ung\u00FCltiger NTSid-Wert"},
    {"NTSid: name", "NTSid: {0}"},
    {"NTSidDomainPrincipal: name", "NT-Sid-Dom\u00E4nen-Principal: {0}"},
    {"NTSidGroupPrincipal: name", "NT-Sid-Gruppen-Principal: {0}"},
    {"NTSidPrimaryGroupPrincipal: name", "NT-Sid-Prim\u00E4rgruppen-Principal: {0}"},
    {"NTSidUserPrincipal: name", "NT-Sid-Benutzer-Principal: {0}"},
    {"NTUserPrincipal: name", "NT-Benutzer-Principal: {0}"},

    // UnixPrincipals
    {"UnixNumericGroupPrincipal [Primary Group]: name",
        "Unix numerischer Gruppen-Principal [Prim\u00E4rgruppe]: {0}"},
    {"UnixNumericGroupPrincipal [Supplementary Group]: name",
        "Unix numerische Gruppen-Principal [Zusatzgruppe]: {0}"},
    {"UnixNumericUserPrincipal: name", "Unix numerischer Benutzer-Principal: {0}"},
    {"UnixPrincipal: name", "Unix-Principal: {0}"},

    // com.sun.security.auth.login.ConfigFile
    {"Unable to properly expand config", "{0} kann nicht ordnungsgem\u00E4\u00DF erweitert werden."},
    {"extra_config (No such file or directory)",
        "{0} (Datei oder Verzeichnis existiert nicht.)"},
    {"Unable to locate a login configuration",
        "Anmeldekonfiguration kann nicht gefunden werden."},
    {"Configuration Error:\n\tInvalid control flag, flag",
        "Konfigurationsfehler:\n\tUng\u00FCltiges Steuerflag, {0}"},
    {"Configuration Error:\n\tCan not specify multiple entries for appName",
        "Konfigurationsfehler:\n\tEs k\u00F6nnen nicht mehrere Angaben f\u00FCr {0} gemacht werden."},
    {"Configuration Error:\n\texpected [expect], read [end of file]",
        "Konfigurationsfehler:\n\terwartet [{0}], gelesen [Dateiende]"},
    {"Configuration Error:\n\tLine line: expected [expect], found [value]",
        "Konfigurationsfehler:\n\tZeile {0}: erwartet [{1}], gefunden [{2}]"},
    {"Configuration Error:\n\tLine line: expected [expect]",
        "Konfigurationsfehler:\n\tZeile {0}: erwartet [{1}]"},
    {"Configuration Error:\n\tLine line: system property [value] expanded to empty value",
        "Konfigurationsfehler:\n\tZeile {0}: Systemeigenschaft [{1}] auf leeren Wert erweitert"},

    // com.sun.security.auth.loginPropertyExpander
    {"unable to expand property prop", "Eigenschaft {0} kann nicht erweitert werden."},

    // com.sun.security.auth.module.JndiLoginModule
    {"username: ","Benutzername: "},
    {"password: ","Passwort: "},
    
    // com.sun.security.auth.module.KeyStoreLoginModule
    {"Please login to keystore","Bitte melden Sie sich bei Keystore an."},
    {"Keystore alias: ","Keystore-Alias: "},
    {"Keystore password: ","Keystore-Passwort: "},
    {"Private key password (optional): ",
        "Privates Schl\u00FCsselpasswort (optional): "},

    // com.sun.security.auth.module.Krb5LoginModule
    {"Krb5LoginModule username([defUsername])",
        "Krb5-Anmeldmodul Benutzername ({0}) "}, 
    {"Krb5LoginModule password for user ([username])",
            "Krb5-Anmeldemodul Passwort f\u00FCr Benutzer ({0})"},

    /***    EVERYTHING BELOW IS DEPRECATED  ***/

    // com.sun.security.auth.PolicyFile
    {": error parsing ", ": Parser-Fehler "},
    {": ", ": "},
    {": error adding Permission ", ": Fehler beim Hinzuf\u00FCgen der Berechtigung "},
    {" ", " "},
    {": error adding Entry ", ": Fehler beim Hinzuf\u00FCgen des Eintrags "},
    {"(", "("},
    {")", ")"},
    {"attempt to add a Permission to a readonly PermissionCollection",
        "Es wurde versucht, eine Berechtigung zu einer schreibgesch\u00FCtzten Berechtigungssammlung hinzuzuf\u00FCgen."},

    // com.sun.security.auth.PolicyParser
    {"expected keystore type", "erwarteter Keystore-Typ"},
    {"can not specify Principal with a ",
        "Principal kann nicht mit einer "},
    {"wildcard class without a wildcard name",
        "Wildcard-Klasse ohne Wildcard-Namen angegeben werden."},
    {"expected codeBase or SignedBy", "codeBase oder SignedBy erwartet"},
    {"only Principal-based grant entries permitted",
        "Nur Principal-basierte Berechtigungseintr\u00E4ge erlaubt"},
    {"expected permission entry", "Berechtigungseintrag erwartet"},
    {"number ", "Nummer "},
    {"expected ", "erwartet "},
    {", read end of file", ", Dateiende lesen"},
    {"expected ';', read end of file", "';' erwartet, Dateiende lesen"},
    {"line ", "Zeile "},
    {": expected '", ": erwartet '"},
    {"', found '", "', gefunden '"},
    {"'", "'"},

    // SolarisPrincipals
    {"SolarisNumericGroupPrincipal [Primary Group]: ",
        "Solaris numerischer Gruppen-Principal [Prim\u00E4rgruppe]: "},
    {"SolarisNumericGroupPrincipal [Supplementary Group]: ",
        "Solaris numerischer Gruppen-Principal [Zusatzgruppe]: "},
    {"SolarisNumericUserPrincipal: ",
        "Solaris numerischer Benutzer-Principal: "},
    {"SolarisPrincipal: ", "Solaris-Principal: "}

    };

    /**
     * Returns the contents of this <code>ResourceBundle</code>.
     *
     * <p>
     *
     * @return the contents of this <code>ResourceBundle</code>.
     */
    public Object[][] getContents() {
    return contents;
    }
}

