/*
 * @(#)Resources_sv.java	1.2 01/03/28
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits reserves.
 */

package com.sun.security.auth;

/**
 * <p> This class represents the <code>ResourceBundle</code>
 * for the following packages:
 *
 * <ol>
 * <li> javax.security.auth
 * <li> javax.security.auth.callback
 * <li> javax.security.auth.login
 * <li> javax.security.auth.spi
 * <li> com.sun.security.auth
 * <li> com.sun.security.auth.login
 * </ol>
 * 
 * @version 1.6, 01/23/01
 */
public class Resources_sv extends java.util.ListResourceBundle {

    private static final Object[][] contents = {

    // NT principals
    {"invalid null input: value", "ogiltiga null-indata: {0}"},
    {"NTDomainPrincipal: name", "NTDomainPrincipal: {0}"},
    {"NTNumericCredential: name", "NTNumericCredential: {0}"},
    {"Invalid NTSid value", "Ogiltigt NTSid-v\u00E4rde"},
    {"NTSid: name", "NTSid: {0}"},
    {"NTSidDomainPrincipal: name", "NTSidDomainPrincipal: {0}"},
    {"NTSidGroupPrincipal: name", "NTSidGroupPrincipal: {0}"},
    {"NTSidPrimaryGroupPrincipal: name", "NTSidPrimaryGroupPrincipal: {0}"},
    {"NTSidUserPrincipal: name", "NTSidUserPrincipal: {0}"},
    {"NTUserPrincipal: name", "NTUserPrincipal: {0}"},

    // UnixPrincipals
    {"UnixNumericGroupPrincipal [Primary Group]: name",
        "UnixNumericGroupPrincipal [prim\u00E4r grupp]: {0}"},
    {"UnixNumericGroupPrincipal [Supplementary Group]: name",
        "UnixNumericGroupPrincipal [till\u00E4ggsgrupp]: {0}"},
    {"UnixNumericUserPrincipal: name", "UnixNumericUserPrincipal: {0}"},
    {"UnixPrincipal: name", "UnixPrincipal: {0}"},

    // com.sun.security.auth.login.ConfigFile
    {"Unable to properly expand config", "Det g\u00E5r inte att utvidga korrekt {0}"},
    {"extra_config (No such file or directory)",
        "{0} (Det finns ingen s\u00E5dan fil eller katalog.)"},
    {"Unable to locate a login configuration",
        "Det g\u00E5r inte att hitta n\u00E5gon inloggningskonfiguration"},
    {"Configuration Error:\n\tInvalid control flag, flag",
        "Konfigurationsfel:\n\tOgiltig kontrollflagga, {0}"},
    {"Configuration Error:\n\tCan not specify multiple entries for appName",
        "Konfigurationsfel:\n\tDet g\u00E5r inte att ange flera poster f\u00F6r {0}"},
    {"Configuration Error:\n\texpected [expect], read [end of file]",
        "Konfigurationsfel:\n\tf\u00F6rv\u00E4ntade [{0}], l\u00E4ste [end of file]"},
    {"Configuration Error:\n\tLine line: expected [expect], found [value]",
        "Konfigurationsfel:\n\tLine {0}: f\u00F6rv\u00E4ntade [{1}], hittade [{2}]"},
    {"Configuration Error:\n\tLine line: expected [expect]",
        "Konfigurationsfel:\n\tLine {0}: f\u00F6rv\u00E4ntade [{1}]"},
    {"Configuration Error:\n\tLine line: system property [value] expanded to empty value",
        "Konfigurationsfel:\n\tLine {0}: systemegenskapen [{1}] utvidgad till tomt v\u00E4rde"},

    // com.sun.security.auth.loginPropertyExpander
    {"unable to expand property prop", "det g\u00E5r inte att utvidga egenskapen {0}"},

    // com.sun.security.auth.module.JndiLoginModule
    {"username: ","anv\u00E4ndarnamn: "},
    {"password: ","l\u00F6senord: "},
    
    // com.sun.security.auth.module.KeyStoreLoginModule
    {"Please login to keystore","Logga in till keystore"},
    {"Keystore alias: ","Keystore-alias: "},
    {"Keystore password: ","Keystore-l\u00F6senord: "},
    {"Private key password (optional): ",
        "L\u00F6senord f\u00F6r personlig nyckel (valfritt): "},

    // com.sun.security.auth.module.Krb5LoginModule
    {"Krb5LoginModule username([defUsername])",
        "Krb5LoginModule-anv\u00E4ndarnamn({0}) "}, 
    {"Krb5LoginModule password for user ([username])",
            "Krb5LoginModule-l\u00F6senord f\u00F6r anv\u00E4ndare ({0})"},

    /***    EVERYTHING BELOW IS DEPRECATED  ***/

    // com.sun.security.auth.PolicyFile
    {": error parsing ", ": analysfel "},
    {": ", ": "},
    {": error adding Permission ", ": fel vid till\u00E4gg av beh\u00F6righet "},
    {" ", " "},
    {": error adding Entry ", ": fel vid till\u00E4gg av post "},
    {"(", "("},
    {")", ")"},
    {"attempt to add a Permission to a readonly PermissionCollection",
        "f\u00F6rs\u00F6k att l\u00E4gga till beh\u00F6righet till skrivskyddad PermissionCollection"},

    // com.sun.security.auth.PolicyParser
    {"expected keystore type", "f\u00F6rv\u00E4ntad keystore-typ"},
    {"can not specify Principal with a ",
        "det g\u00E5r inte att specificera n\u00E5gon principal med "},
    {"wildcard class without a wildcard name",
        "jokertecken f\u00F6r klass men inte f\u00F6r namn"},
    {"expected codeBase or SignedBy", "f\u00F6rv\u00E4ntade codeBase eller SignedBy"},
    {"only Principal-based grant entries permitted",
        "enbart Principal-baserade poster till\u00E5tna"},
    {"expected permission entry", "f\u00F6rv\u00E4ntade beh\u00F6righetspost"},
    {"number ", "antal "},
    {"expected ", "f\u00F6rv\u00E4ntade "},
    {", read end of file", ", l\u00E4ste filslut"},
    {"expected ';', read end of file", "f\u00F6rv\u00E4ntade ';', l\u00E4ste filslut"},
    {"line ", "rad "},
    {": expected '", ": f\u00F6rv\u00E4ntade '"},
    {"', found '", "', hittade '"},
    {"'", "'"},

    // SolarisPrincipals
    {"SolarisNumericGroupPrincipal [Primary Group]: ",
        "SolarisNumericGroupPrincipal [prim\u00E4r grupp]: "},
    {"SolarisNumericGroupPrincipal [Supplementary Group]: ",
        "SolarisNumericGroupPrincipal [till\u00E4ggsgrupp]: "},
    {"SolarisNumericUserPrincipal: ",
        "SolarisNumericUserPrincipal: "},
    {"SolarisPrincipal: ", "SolarisPrincipal: "}

    };

    /**
     * Returns the contents of this <code>ResourceBundle</code>.
     *
     * <p>
     *
     * @return the contents of this <code>ResourceBundle</code>.
     */
    public Object[][] getContents() {
    return contents;
    }
}

