/*
 * @(#)PortUnreachableException.java	1.1 01/02/21
 *
 * Copyright 1996-2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package java.net;

/**
 * Signals that an ICMP Port Unreachable message has been
 * received on a connected datagram.
 *
 * @since   1.4
 */

public class PortUnreachableException extends SocketException {

    /**
     * Constructs a new <code>PortUnreachableException</code> with a 
     * detail message.
     * @param msg the detail message
     */
    public PortUnreachableException(String msg) {
	super(msg);
    }

    /**
     * Construct a new <code>PortUnreachableException</code> with no 
     * detailed message.
     */
    public PortUnreachableException() {}
}
