/*
 * @(#)ByteBufferAs-X-Buffer.java	1.9 01/05/04
 *
 * Copyright 2000 by Sun Microsystems, Inc.  All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 */

// -- This file was mechanically generated: Do not edit! -- //

package java.nio;


class ByteBufferAsCharBufferL			// package-private
    extends CharBuffer
{



    protected final ByteBuffer bb;
    protected final int offset;



    ByteBufferAsCharBufferL(ByteBuffer bb) {	// package-private

	super(-1, 0,
	      bb.remaining() >> 1,
	      bb.remaining() >> 1);
	this.bb = bb;
	offset = bb.position();



    }

    ByteBufferAsCharBufferL(ByteBuffer bb,
				     int mark, int pos, int lim, int cap,
				     int off)
    {

	super(mark, pos, lim, cap);
	this.bb = bb;
	offset = off;



    }

    public CharBuffer slice() {
	int off = (this.position() << 1) + offset;
	return new ByteBufferAsCharBufferL(bb,
						    -1,
						    0,
						    this.remaining(),
						    this.remaining(),
						    off);
    }

    public CharBuffer duplicate() {
	return new ByteBufferAsCharBufferL(bb,
						    this.markValue(),
						    this.position(),
						    this.limit(),
						    this.capacity(),
						    offset);
    }

    public CharBuffer asReadOnlyBuffer() {

	return new ByteBufferAsCharBufferRL(bb,
						 this.markValue(),
						 this.position(),
						 this.limit(),
						 this.capacity(),
						 offset);



    }



    protected int ix(int i) {
	return (i << 1) + offset;
    }

    public char get() {
	return Bits.getCharL(bb, ix(nextGetIndex()));
    }

    public char get(int i) {
	return Bits.getCharL(bb, ix(checkIndex(i)));
    }



    public CharBuffer put(char x) {

	Bits.putCharL(bb, ix(nextPutIndex()), x);
	return this;



    }

    public CharBuffer put(int i, char x) {

	Bits.putCharL(bb, ix(checkIndex(i)), x);
	return this;



    }

    public CharBuffer compact() {

	ByteBuffer db = bb.duplicate();
	db.limit(ix(limit()));
	db.position(ix(0));
	ByteBuffer sb = db.slice();
	sb.position(position() << 1);
	sb.compact();
	position(remaining());
	limit(capacity());
	return this;



    }

    public boolean isDirect() {
	return bb.isDirect();
    }

    public boolean isReadOnly() {
	return false;
    }	



    public String toString(int start, int end) {
	if ((end > limit()) || (start > end))
	    throw new IndexOutOfBoundsException();
	try {
	    int len = end - start;
	    char[] ca = new char[len];
	    CharBuffer cb = CharBuffer.wrap(ca);
	    CharBuffer db = this.duplicate();
	    db.position(start);
	    db.limit(end);
	    cb.put(db);
	    return new String(ca);
	} catch (StringIndexOutOfBoundsException x) {
	    throw new IndexOutOfBoundsException();
	}
    }


    // --- Methods to support CharSequence ---

    public CharSequence subSequence(int start, int end) {
        if ((start < 0)
	    || (end > length())
	    || (start > end))
	    throw new IndexOutOfBoundsException();
        int len = end - start;
	int off = offset + ((position() + start) << 1);
	return new ByteBufferAsCharBufferL(bb, -1, 0, len, len, off);
    }



}
