/*
 * @(#)Direct-X-Buffer.java	1.27 01/05/03
 *
 * Copyright 2000 by Sun Microsystems, Inc.  All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 */

// -- This file was mechanically generated: Do not edit! -- //

package java.nio;

import sun.misc.Unsafe;
import sun.nio.ch.DirectBuffer;
import sun.nio.ch.FileChannelImpl;


class DirectLongBufferS

    extends LongBuffer



    implements DirectBuffer
{



    // Cached unsafe-access object
    protected static final Unsafe unsafe = Bits.unsafe();

    // Cached unaligned-access capability
    protected static final boolean unaligned = Bits.unaligned();

    // Base access address, used in all indexing calculations
    protected final long base;

    // Native allocation address; may be smaller than the base due to page-size
    // rounding, or the use of a non-zero offset, or both.
    protected long address;

    // True iff this buffer should be freed
    protected boolean allocated;

    // If this buffer is a view of another buffer then we keep a reference to
    // that buffer so that its memory isn't freed before we're done with it
    protected Object viewedBuffer = null;
















































    DirectLongBufferS(DirectByteBuffer bb) { 	// package-private

	super(-1, 0,
	      bb.remaining() >> 3,
	      bb.remaining() >> 3);
	address = bb.address();
	base = bb.base() + bb.position();
	allocated = false;
	viewedBuffer = bb;



    }



    DirectLongBufferS(DirectLongBufferS db,	// package-private
			       int mark, int pos, int lim, int cap,
			       int off)
    {

	super(mark, pos, lim, cap);
	address = db.address();
	base = db.base() + off;
	allocated = false;
	viewedBuffer = db;



    }

    public LongBuffer slice() {
	int off = (this.position() << 3);
	return new DirectLongBufferS(this,
					      -1,
					      0,
					      this.remaining(),
					      this.remaining(),
					      off);
    }

    public LongBuffer duplicate() {
	return new DirectLongBufferS(this,
					      this.markValue(),
					      this.position(),
					      this.limit(),
					      this.capacity(),
					      0);
    }

    public LongBuffer asReadOnlyBuffer() {

	return new DirectLongBufferRS(this,
					   this.markValue(),
					   this.position(),
					   this.limit(),
					   this.capacity(),
					   0);



    }



    public long base() {
	return base;
    }

    public long address() {
	return address;
    }

    private long ix(int i) {
	return base + (i << 3);
    }

    public long get() {
	return Bits.swap(unsafe.getLong(ix(nextGetIndex())));
    }

    public long get(int i) {
	return Bits.swap(unsafe.getLong(ix(checkIndex(i))));
    }



    public LongBuffer put(long x) {

	unsafe.putLong(ix(nextPutIndex()), Bits.swap(x));
	return this;



    }

    public LongBuffer put(int i, long x) {

	unsafe.putLong(ix(checkIndex(i)), Bits.swap(x));
	return this;



    }

    public LongBuffer put(LongBuffer src) {

	if (src instanceof DirectLongBufferS) {
	    if (src == this)
		throw new IllegalArgumentException();
	    DirectLongBufferS sb = (DirectLongBufferS)src;
	    int n = sb.remaining();
	    if (n > remaining())
		throw new BufferOverflowException();
	    unsafe.copyMemory(sb.ix(sb.position()),
			      ix(position()),
			      n << 3);
	    sb.position(sb.position() + n);
	    position(position() + n);
	} else {
	    super.put(src);
	}
	return this;



    }

    public LongBuffer compact() {

	unsafe.copyMemory(ix(position()), ix(0),
			  remaining() << 3);
	position(remaining());
	limit(capacity());
	return this;



    }

    public boolean isDirect() {
	return true;
    }

    public boolean isReadOnly() {
	return false;
    }










































































}
