/*
 * @(#)Heap-X-Buffer.java	1.18 01/05/03
 *
 * Copyright 2000 by Sun Microsystems, Inc.  All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 */

// -- This file was mechanically generated: Do not edit! -- //

package java.nio;


/**



 * A read-only HeapByteBuffer.  This class extends the corresponding
 * read/write class, overriding the mutation methods to throw a {@link
 * ReadOnlyBufferException} and overriding the view-buffer methods to return an
 * instance of this class rather than of the superclass.

 */

class HeapByteBufferR
    extends HeapByteBuffer
{






    HeapByteBufferR(int cap, int lim) {		// package-private





	super(cap, lim);

    }

    HeapByteBufferR(byte[] buf, int off, int len) { // package-private





	super(buf, off, len);

    }

    protected HeapByteBufferR(byte[] buf,
				   int mark, int pos, int lim, int cap,
				   int off)
    {





	super(buf, mark, pos, lim, cap, off);

    }

    public ByteBuffer slice() {
	return new HeapByteBufferR(hb,
					-1,
					0,
					this.remaining(),
					this.remaining(),
					this.position());
    }

    public ByteBuffer duplicate() {
	return new HeapByteBufferR(hb,
					this.markValue(),
					this.position(),
					this.limit(),
					this.capacity(),
					offset);
    }

    public ByteBuffer asReadOnlyBuffer() {








	return duplicate();

    }






























    public boolean isReadOnly() {
	return true;
    }

    public ByteBuffer put(byte x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer put(int i, byte x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer put(byte[] src, int offset, int length) {








	throw new ReadOnlyBufferException();

    }

    public ByteBuffer put(ByteBuffer src) {

















	throw new ReadOnlyBufferException();

    }

    public ByteBuffer compact() {






	throw new ReadOnlyBufferException();

    }





    byte _get(int i) {				// package-private
	return hb[i];
    }

    void _put(int i, byte b) {			// package-private



	throw new ReadOnlyBufferException();

    }

    // char













    public ByteBuffer putChar(char x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putChar(int i, char x) {




	throw new ReadOnlyBufferException();

    }

    public CharBuffer asCharBuffer() {
	return (bigEndian
		? (CharBuffer)(new ByteBufferAsCharBufferRB(this))
		: (CharBuffer)(new ByteBufferAsCharBufferRL(this)));
    }


    // short













    public ByteBuffer putShort(short x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putShort(int i, short x) {




	throw new ReadOnlyBufferException();

    }

    public ShortBuffer asShortBuffer() {
	return (bigEndian
		? (ShortBuffer)(new ByteBufferAsShortBufferRB(this))
		: (ShortBuffer)(new ByteBufferAsShortBufferRL(this)));
    }


    // int













    public ByteBuffer putInt(int x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putInt(int i, int x) {




	throw new ReadOnlyBufferException();

    }

    public IntBuffer asIntBuffer() {
	return (bigEndian
		? (IntBuffer)(new ByteBufferAsIntBufferRB(this))
		: (IntBuffer)(new ByteBufferAsIntBufferRL(this)));
    }


    // long













    public ByteBuffer putLong(long x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putLong(int i, long x) {




	throw new ReadOnlyBufferException();

    }

    public LongBuffer asLongBuffer() {
	return (bigEndian
		? (LongBuffer)(new ByteBufferAsLongBufferRB(this))
		: (LongBuffer)(new ByteBufferAsLongBufferRL(this)));
    }


    // float













    public ByteBuffer putFloat(float x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putFloat(int i, float x) {




	throw new ReadOnlyBufferException();

    }

    public FloatBuffer asFloatBuffer() {
	return (bigEndian
		? (FloatBuffer)(new ByteBufferAsFloatBufferRB(this))
		: (FloatBuffer)(new ByteBufferAsFloatBufferRL(this)));
    }


    // double













    public ByteBuffer putDouble(double x) {




	throw new ReadOnlyBufferException();

    }

    public ByteBuffer putDouble(int i, double x) {




	throw new ReadOnlyBufferException();

    }

    public DoubleBuffer asDoubleBuffer() {
	return (bigEndian
		? (DoubleBuffer)(new ByteBufferAsDoubleBufferRB(this))
		: (DoubleBuffer)(new ByteBufferAsDoubleBufferRL(this)));
    }































}
