/*
 * @(#)PatternSyntaxException.java	1.7 00/12/13
 *
 * Copyright 2000 by Sun Microsystems, Inc.  All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 */

package java.util.regex;


/**
 * Unchecked exception thrown to indicate a syntax error in a regular
 * expression.
 *
 * @author  unascribed
 * @version 1.7, 00/12/13
 * @since 1.4
 * @spec JSR-51
 */

public class PatternSyntaxException
    extends IllegalArgumentException
{

    /**
     * Constructs a new instance of this class.
     *
     * @param  s  A more detailed description of the syntax error
     */
    public PatternSyntaxException(String s) {
        super(s);
    }

}
