/*
 * @(#)FlavorException.java	1.1 00/08/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 * Author : Alan Kaminksy
 * Author : Phil Race
 */

package javax.print;

import javax.print.DocFlavor;

/**
 * Interface FlavorException is a mixin interface which a subclass of {@link 
 * PrintException PrintException} can implement to report an error condition 
 * involving a doc flavor or flavors (class {@link javax.print.DocFlavor 
 * DocFlavor}). The Print Service API does not define any print exception 
 * classes that implement interface FlavorException, that being left to the 
 * Print Service implementor's discretion. 
 * 
 */
public interface FlavorException {

    /**
     * Returns the unsupported flavors.
     * @return the unsupported doc flavors.
     */
    public DocFlavor[] getUnsupportedFlavors();

}
